package com.liangjian.dataplatform.member.entity.vo.detailvo;

import com.liangjian.dataplatform.member.entity.vo.datanodes.DataNode;
import com.liangjian.dataplatform.member.entity.vo.datanodes.PDMColumn;

/**
 * @Author: 黄子奇
 * @Date: 2019/8/28 16:45
 */
public class PDMColumnDetailVo implements DetailVo<PDMColumn> {
    private static final long serialVersionUID = 8146314446047581023L;

    private PDMColumn pdmColumn;

    public PDMColumnDetailVo(PDMColumn pdmColumn) {
        this.pdmColumn = pdmColumn;
    }

    @Override
    public DataNode getRealNode() {
        return pdmColumn;
    }

    @Override
    public void setRealNode(PDMColumn pdmColumn) {
        this.pdmColumn = pdmColumn;
    }

    @Override
    public String getNodeType() {
        return pdmColumn.getNodeType();
    }

    @Override
    public String getDataNodeType() {
        return pdmColumn.getDataKind();
    }
}
